This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 169939 - error while loading framebuffer
error while loading framebuffer
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 10:13 EDT by Frank Büttner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 08:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2005-10-05 10:13:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
When I try to load the atyfb modul via modprobe atyfb video=atyfb:1024x768-32@100 then I get an kernel error.


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. modprobe atyfb video=atyfb:1024x768-32@100

Actual Results:  Get an kernel error

Expected Results:  working framebuffer

Additional info:

On an old FC2 system all is ok.
This is the error:
Oct  5 15:18:58 fax kernel: atyfb: using auxiliary register aperture
Oct  5 15:18:58 fax kernel: atyfb: 3D RAGE IIC (Mach64 GW, AGP) [0x4757 rev 0x3a]
Oct  5 15:18:58 fax kernel: atyfb: Mach64 BIOS is located at c0000, mapped at c00c0000.
Oct  5 15:18:58 fax kernel: atyfb: BIOS frequency table:
Oct  5 15:18:58 fax kernel: atyfb: PCLK_min_freq 984, PCLK_max_freq 23500, ref_freq 1432, ref_divider 31
Oct  5 15:18:58 fax kernel: atyfb: MCLK_pwd 4200, MCLK_max_freq 7500, XCLK_max_freq 8300, SCLK_freq 5000
Oct  5 15:18:58 fax kernel: atyfb: 4M SGRAM (1:1), 14.31818 MHz XTAL, 235 MHz PLL, 75 Mhz MCLK, 83 MHz XCLK
Oct  5 15:18:59 fax kernel: Unable to handle kernel NULL pointer dereference at virtual address 000001f3
Oct  5 15:18:59 fax kernel:  printing eip:
Oct  5 15:18:59 fax kernel: c0277d96
Oct  5 15:18:59 fax kernel: *pde = 01340067
Oct  5 15:18:59 fax kernel: Oops: 0000 [#1]
Oct  5 15:18:59 fax kernel: Modules linked in: atyfb ipv6 parport_pc lp parport autofs4 sunrpc dm_mod video button battery ac uhci_hcd i2c_piix4 i2c_core ns558 gameport
snd_sb16 snd_opl3_lib snd_sb16_dsp snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_sb16_csp snd_sb_co
mmon snd_hwdep snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore 3c59x mii floppy ext3 jbd
Oct  5 15:18:59 fax kernel: CPU:    0
Oct  5 15:18:59 fax kernel: EIP:    0060:[<c0277d96>]    Not tainted VLI
Oct  5 15:18:59 fax kernel: EFLAGS: 00010246   (2.6.13-1.1526_FC4)
Oct  5 15:18:59 fax kernel: EIP is at fb_set_logocmap+0x79/0xee
Oct  5 15:18:59 fax kernel: eax: 00000020   ebx: 000001f3   ecx: 00000000   edx: 00000010
Oct  5 15:18:59 fax kernel: esi: 00000000   edi: 00000010   ebp: 00000000   esp: c2e51b40
Oct  5 15:18:59 fax kernel: ds: 007b   es: 007b   ss: 0068
Oct  5 15:18:59 fax kernel: Process modprobe (pid: 2213, threadinfo=c2e51000 task=c2cb9000)
Oct  5 15:18:59 fax kernel: Stack: c04dadf4 c31b5800 0000000e 00000050 00000050 c38ba260 c0d91bc0 0000000e
Oct  5 15:18:59 fax kernel:        00000002 c0277563 ffffffff c051e660 c31b5800 00000001 00000720 00000000
Oct  5 15:18:59 fax kernel:        00000000 c04664e0 072001d0 00000280 00000010 00000007 c31b5800 00000001
Oct  5 15:18:59 fax kernel: Call Trace:
Oct  5 15:18:59 fax kernel:  [<c0277563>] bit_cursor+0x2ac/0x51a
Oct  5 15:18:59 fax kernel:  [<c02783b3>] fb_show_logo+0x1af/0x1f5
Oct  5 15:18:59 fax kernel:  [<c0275655>] fbcon_switch+0x474/0x4c4
Oct  5 15:18:59 fax kernel:  [<c02bdb00>] redraw_screen+0xab/0x1ba
Oct  5 15:18:59 fax kernel:  [<c02bd2cf>] update_attr+0x8c/0x9d
Oct  5 15:18:59 fax kernel:  [<c02c0ae2>] take_over_console+0x270/0x356
Oct  5 15:18:59 fax kernel:  [<c0176420>] cache_alloc_refill+0x385/0x485
Oct  5 15:18:59 fax kernel:  [<c02102a3>] sysfs_make_dirent+0x13/0x81
Oct  5 15:18:59 fax kernel:  [<c0272084>] fbcon_takeover+0x69/0xa0
Oct  5 15:18:59 fax kernel:  [<c0143009>] notifier_call_chain+0x17/0x27
Oct  5 15:18:59 fax kernel:  [<c02790f3>] register_framebuffer+0xd3/0x181
Oct  5 15:18:59 fax kernel:  [<c027afbd>] fb_alloc_cmap+0x7d/0xa8
Oct  5 15:18:59 fax kernel:  [<c480250f>] aty_init+0x478/0x826 [atyfb]
Oct  5 15:18:59 fax kernel:  [<c0180a50>] pte_alloc_kernel+0x7b/0x290
Oct  5 15:18:59 fax kernel:  [<c49eea26>] atyfb_pci_probe+0x1a0/0x1fd [atyfb]
Oct  5 15:18:59 fax kernel:  [<c0268616>] __pci_device_probe+0x30/0x3c
Oct  5 15:18:59 fax kernel:  [<c0268640>] pci_device_probe+0x1e/0x35
Oct  5 15:18:59 fax kernel:  [<c02e83ad>] driver_probe_device+0x35/0x9e
Oct  5 15:18:59 fax kernel:  [<c02e84d2>] __driver_attach+0x4a/0x4c
Oct  5 15:18:59 fax kernel:  [<c02e7c66>] bus_for_each_dev+0x3c/0x5a
Oct  5 15:18:59 fax kernel:  [<c02e84ea>] driver_attach+0x16/0x1a
Oct  5 15:18:59 fax kernel:  [<c02e8488>] __driver_attach+0x0/0x4c
Oct  5 15:18:59 fax kernel:  [<c02e802f>] bus_add_driver+0x66/0xaf
Oct  5 15:18:59 fax kernel:  [<c0268824>] pci_register_driver+0x97/0xb7
Oct  5 15:18:59 fax kernel:  [<c48028c7>] atyfb_init+0xa/0xd [atyfb]
Oct  5 15:18:59 fax kernel:  [<c015c407>] sys_init_module+0xd4/0x1d8
Oct  5 15:18:59 fax kernel:  [<c0104465>] syscall_call+0x7/0xb
Oct  5 15:18:59 fax kernel: Code: 31 d2 89 c7 29 d7 89 fa 83 ff 10 7e 0a bf 10 00 00 00 ba 10 00 00 00 8d 45 20 89 44 24 68 89 54 24 6c 85 ff 7e 53 31 f6 8d 0c 36 <0f> b
6 03 89 c2 c1 e2 08 66 0f b6 c0 09 c2 8b 44 24 70 66 89 14
Comment 1 Dave Jones 2005-11-10 14:48:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Frank Büttner 2005-11-10 15:53:42 EST
now I get an error about an unknown parameter. I have test to compile it direct
in  the kernel and not as an module. Then it works.
Comment 3 Dave Jones 2005-11-10 16:49:20 EST
can you paste your /etc/modprobe.conf please ?
Comment 4 Frank Büttner 2005-11-10 16:59:53 EST
This is my modprobe.conf:
alias wlan0 rt2500
options rt2500 ifname=wlan%d
alias eth0 3c59x
Comment 5 Dave Jones 2005-11-10 17:06:13 EST
sounds like its complaining about your rt2500 module.

does the framebuffer work though ?
Comment 6 Frank Büttner 2005-11-10 17:26:25 EST
Yes it work's when I compiling it static in the kernel.
Comment 7 Dave Jones 2005-11-11 01:13:57 EST
but it doesn't with the stock 2.6.14-1.1637_FC4 kernel ?
Comment 8 Frank Büttner 2005-11-11 04:04:50 EST
not as an module. Only like at the last kernel when comping it static in the kernel.
Comment 9 Dave Jones 2006-02-03 00:43:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 Frank Büttner 2006-02-03 08:23:16 EST
When using the module in the initrd.img with the paramter mode=... it will now work.

Note You need to log in before you can comment on or make changes to this bug.